%define bcver	1.52
%define sname	kse
%define libs	"bcprov bcpkix commons-io jgoodies-common jgoodies-looks jna javahelp2 miglayout-core miglayout-swing"

Name:		keystore-explorer
Version:	5.2.1
Release:	%mkrel 1
Summary:	Multipurpose keystore and certificate tool
License:	GPLv3+
Group:		Security
URL:		http://www.keystore-explorer.org/
Source0:	https://github.com/kaikramer/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
BuildArch:	noarch

BuildRequires:	java-devel >= 1.8.0
BuildRequires:	ant
BuildRequires:	desktop-file-utils
BuildRequires:	javapackages-tools
BuildRequires:	libxml2-utils
BuildRequires:	miglayout
BuildRequires:	mvn(commons-io:commons-io)
BuildRequires:	mvn(org.bouncycastle:bcprov-jdk15) >= %{bcver}
BuildRequires:	mvn(org.bouncycastle:bcpkix-jdk15on) >= %{bcver}
BuildRequires:	mvn(javax.help:javahelp)
BuildRequires:	mvn(com.jgoodies:jgoodies-common)
BuildRequires:	mvn(com.jgoodies:jgoodies-looks)
BuildRequires:	mvn(net.java.dev.jna:jna)

Requires:	jre >= 1.8.0
Requires:	apache-commons-io
Requires:	bouncycastle >= %{bcver}
Requires:	bouncycastle-pkix >= %{bcver}
Requires:	javahelp2
Requires:	jgoodies-common
Requires:	jgoodies-looks
Requires:	jna
Requires:	miglayout
Recommends:	java-1.8.0-openjfx

%description
KeyStore Explorer is a user friendly GUI application for creating,
managing and examining keystores, keys, certificates, certificate
requests, certificate revocation lists and more.

Features:
  * Create, load, save and convert between various KeyStore types: JKS,
    JCEKS, PKCS#12, BKS (V1 and V2) and UBER.
  * Change KeyStore and KeyStore entry passwords.
  * Delete or rename KeyStore entries.
  * Cut/copy/paste KeyStore entries.
  * Append certificates to key pair certificate chains.
  * Generate RSA, ECC and DSA key pairs with self-signed X.509 certificates.
  * Apply X.509 certificate extensions to generated key pairs and Certificate.
    Signing Requests (CSRs).
  * View X.509 Certificate, CRL and CRL entry X.509 V3 extensions.
  * Import and export keys and certificates in many formats: PKCS#12, PKCS#8,
    PKCS#7, DER/PEM X.509 certificate files, Microsoft PVK, SPC, PKI Path,
    OpenSSL.
  * Generate, view and sign CSRs in PKCS #10 and SPKAC formats.
  * Sign JAR files, J2ME MIDlet Applications files and CSRs.
  * Configure a CA Certs KeyStore for use with KeyStore operations.

%prep
%setup -q -n %{name}-%{version}/%{sname}

# remove bundled jar files
rm -f lib/*.jar

%build
classPath=`echo %{libs} | sed -re 's|(\S+)|\1.jar|g'`

%ant -DappSimpleName=%{name} \
     -DjavaHelp=javahelp2 \
     -DlibDir=%{_javadir} \
     -DclassPath="$classPath" \
     resources jar

%install
# jar-repertory
mkdir -p %{buildroot}%{_javadir}
install -pm 644 dist/%{name}.jar %{buildroot}%{_javadir}/

# binary-repertory
mkdir -p %{buildroot}%{_bindir}
install -pm 755 res/%{name} %{buildroot}%{_bindir}/

# icons-repertory
for size in 16 32 48 128 256 512; do
	install -Dpm 644 res/icons/%{sname}_${size}.png \
		%{buildroot}%{_iconsdir}/hicolor/${size}x${size}/apps/%{name}.png
done

install -Dpm 644 res/icons/%{sname}.svg \
	%{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
install -pm 644 res/%{name}.desktop %{buildroot}%{_datadir}/applications/

%files
%doc res/readmes/manual/readme.txt
%license res/licenses/license-kse.txt
%{_bindir}/%{name}
%{_javadir}/%{name}.jar
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*


%changelog
* Sun Aug 14 2016 daviddavid <daviddavid> 5.2.1-1.mga6
+ Revision: 1046448
- new version: 5.2.1

* Mon Jun 20 2016 daviddavid <daviddavid> 5.2-1.mga6
+ Revision: 1036859
- initial package keystore-explorer (thanks to Davy Defaud)

